---
title: "Set an allowed team admin"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-allowed-team-admins"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org_id-allowed-team-admins"
method: "POST"
path: "/v2/organizations/{org_id}/allowed-team-admins"
operation_id: "post-v2-organizations-org_id-allowed-team-admins"
authorization: "bearer"
---

# Set an allowed team admin

`POST /v2/organizations/{org_id}/allowed-team-admins`

Allows users to set an org allowed team admin.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the allowed admin is set. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email"
  ],
  "properties": {
    "email": {
      "type": "string",
      "minLength": 1,
      "description": "Email address of the allowed team admin."
    }
  },
  "x-examples": {
    "example-1": {
      "email": "new_allowed_team_admin@email.com"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "email": "new_allowed_team_admin@email.com"
}
```

## Responses

### 200

Returns 201: Success, no content in case of successful response for the admins and moderators with trial, professional and enterprise subscription. Returns an error when:

* If user is not admin/moderator of the Org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to update settings, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to update settings of the organization that is not active or does not exist, "code": 12003001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* If user is not found, "code": 12003002. Message: "Access denied for current asubscription."
* Request without mandatory parameters, "code": 12004001. Message: "The `email` field is required."
* Organization admin exists, "code": 12004009. Message: "Organization admin exists."
* Request with invalid value of email parameter, "code": 12004008. Message: "User `user@email.com` is not found."
* User already existing in team admins, "code": 12012012. Message: "Provided organization allowed team admin exists."

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{org_id}/allowed-team-admins" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "new_allowed_team_admin@email.com"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-allowed-team-admins*
